// homeScreen.js

import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, 
        Text, 
        View, 
        Image, 
        ScrollView, 
        TouchableOpacity, 
        Animated, 
        Platform, 
        Button } from 'react-native';
import {colors, appLogo, fontStyles, pageTitle, appLogoContainer} from './styles/themes'
import moment from 'moment';

export default class HomeScreen extends React.Component {
    //temporary data
    data = [
        {
            id: 1,
            title: "Guide #1",
            time: "24:30",
            description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
            uri: require('./images/cosmicperspective.jpg'),
            audio: require('./audio/cosmicperspective-demo.mp4'),
            tags: ["Relaxation", "Peace"],
            date: moment('20001005T020000-0700'),
        },
        {
            id: 2,
            title: "Guide #2",
            time: "12:30",
            description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
            uri: require('./images/cosmicperspective.jpg'),
            audio: require('./audio/cosmicperspective-demo.mp4'),
            // date: new Date('05 October 2011 14:48 UTC'),
            tags: ["Relaxation"],
            date: moment('20011005T020000-0700'),
        },
        {
            id: 3,
            title: "Guide #3",
            time: "15:30",
            description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
            uri: require('./images/cosmicperspective.jpg'),
            audio: require('./audio/cosmicperspective-demo.mp4'),
            tags: ["Peace"],
            // date: new Date('05 October 2011 14:48 UTC'),
            date: moment('20021005T020000-0700'),
        },
        {
            id: 4,
            title: "Guide #4",
            time: "20:00",
            description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
            uri: require('./images/cosmicperspective.jpg'),
            audio: require('./audio/cosmicperspective-demo.mp4'),
            tags: ["Relaxation", "Peace"],
            // date: new Date('05 October 2011 14:48 UTC'),
            date: moment('20031005T020000-0700'),
        },
        {
            id: 5,
            title: "Guide #5",
            time: "32:00",
            description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
            uri: require('./images/cosmicperspective.jpg'),
            audio: require('./audio/cosmicperspective-demo.mp4'),
            tags: [""],
            // date: new Date('05 October 2011 14:48 UTC'),
            date: moment('20201005T020000-0700'),
        },
        {
            id: 6,
            title: "Guide #6",
            time: "25:00",
            description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.",
            uri: require('./images/cosmicperspective.jpg'),
            audio: require('./audio/cosmicperspective-demo.mp4'),
            tags: ["Stress"],
            // date: new Date('05 October 2011 14:48 UTC'),
            date: moment('20191005T020000-0700'),
        },
    ]

    constructor(props) {
        super(props);
        this.state = { data: this.data }
        // this.onPress= this.onPress.bind(this);
    }

    // onPress(txt) {
    //     console.log(txt);
    // }

    // pressGuide = () => {
    //     //press a guide
    //     alert("I was pressed");
    // }

    render(){
        const guideList = this.state.data.map((guide, index) => (
            <TouchableOpacity 
                key={guide.id}
                style={styles.guide}
                //onPress, navigate to the page to open this up to show more information and play button
                onPress={() => this.props.navigation.navigate('Guide', {
                    id: guide.id,
                    image: guide.uri,
                    title: guide.title,
                    desc: guide.description,
                    time: guide.time,
                    audio: guide.audio,
                    tags: guide.tags,
                    date: guide.date.format("MM/DD/YYYY")
                })}> 
                <Image
                    style={styles.guideImage}
                    source={guide.uri}
                />
                <View style={styles.guideText}>
                    <View style={styles.guideHeader}>
                        <Text 
                            style={styles.guideTitleText}>
                            {guide.title}
                        </Text>
                        <Text 
                            style={styles.timeText}>
                            {guide.time}
                        </Text>
                    </View>
                    <Text style={styles.guideDescription}>
                        {guide.description.slice(0, 70)}
                    </Text>
                    <Text style={styles.guideDescription}>
                        Last Modified: {guide.date.format("MM/DD/YYYY")}
                    </Text>
                    <Text 
                        style={styles.guideDescription}>
                        Tags: {guide.tags.map((tag, index) => (<Text key={tag}>{(index ? ', ' : '') + tag}</Text>))}
                    </Text>
                </View>
            </TouchableOpacity>
        ))

        return (
            <View>
                <StatusBar hidden />
                <View style={appLogoContainer}>
                    <Image 
                        style={appLogo}
                        source={require('./images/SensibleLogo.png')}/>
                </View>
                <ScrollView>
                    <View /* screen title */ > 
                        <Text style={pageTitle}>
                            Home
                        </Text>
                    </View>
                    {/* LIST OF GUIDES */ }
                    <View style={styles.guideList}>
                        {guideList}
                    </View>
                </ScrollView>
            </View>
        )
    }
}

const styles = StyleSheet.create({
    guideList: {
        flexDirection: "column",
        justifyContent: "center",
        marginBottom: '35%'
    },
    guide: {
        flexDirection: "row",
        padding: '3%',
        marginLeft: '5%',
        marginRight: '5%',
        marginBottom: '3%',
        marginTop: '3%',
        backgroundColor: colors.lightBlue,
    },
    guideHeader: {
        flexDirection: "row",
        justifyContent: "space-between",
        marginRight: "20%"
    },
    guideTitleText: {
        fontWeight: "bold", 
        fontSize: fontStyles.subTitleText,
        color: colors.darkGrey,
    },
    timeText: {
        fontStyle: "italic", 
        fontSize: fontStyles.subTitleText,
        color: colors.darkGrey,
        marginRight: '5%'
    },
    guideImage: {
        height: 75,
        width: 75,
        marginRight: 10,
        alignSelf: "center"
    },
    guideDescription: {
        marginTop: "2%",
        marginRight: "30%",
        fontSize: fontStyles.regularText,
        color: colors.darkGrey,
    }

})

