//themes.js
//color scheme, font sizes, and image sizes

//usage in src js files:
// import {colors, appLogo, fontStyles, pageTitle, page} from './styles/themes'
// set the style to the entire object or an attribute of the object

//color scheme based on Sensible logo
export const colors = {
    blue: "#00AFF7",
    lightBlue: "#CCEFFD",
    grey: "#5A5950",
    darkGrey: "#3e3e38",
}

//for Sensible logo that is on all pages
export const appLogo = {
    alignSelf: "center",
    height: 50,
    width: 125,
    marginTop: "5%",
    marginBottom: "5%",
}

export const appLogoContainer = {
    backgroundColor: "white"
}

//titleText is for pageTitle, subTitleText is for guide description, and regularText is for everything else
export const fontStyles = {
    regularText: 15,
    subTitleText: 15,
    titleText: 30,
    drawerItemText: 20,
}

//used for the page titles that go below the Sensible logo on every page
export const pageTitle = {
    fontSize: fontStyles.titleText,
    color: colors.grey,
    alignSelf: "center",
    fontWeight: "bold",
    paddingBottom: '1%'
}

//used for text content, such as on About and Help screens
export const page = {
    textAlign: 'center',
    color: 'black',
    fontFamily: 'Arial',
    backgroundColor: 'white',
}